<!--#include file="../inc/Secure.htm"-->
<!--#include file="../inc/conn.htm"-->
<!--#include file="../inc/dbtools.htm"-->
<HTML>
<HEAD>
<TITLE>  </TITLE>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<link rel="stylesheet" type="text/css" href="../CSS/main.css">
</HEAD>
<%
ID=trim(request("ID"))
todo=trim(request("todo"))
if todo="delete" and id<>"" then
oConn.execute "delete tblMeetingOrder where ID="& id
end if
%>
<BODY BGCOLOR="#FFFFFF">
<div align=center>
<table border=1 cellpadding=3 cellspacing=0 width="90%" bgcolor=#EEEEEE bordercolordark="#FFFFFF" bordercolorlight="#999999"><tr><td>
<INPUT TYPE="button" name="cmdreturn" value="返  回" class="font9boldwhite" onclick="javascript:window.location.href='meeting_index.htm'">
</td></tr></table>


<%
Set Rs = Server.Createobject("Adodb.recordset")
sql="select * from tblMeetingOrder where StartTime>= '"& date() &"' and EndTime>='"&now()&"' and OrderID="& LoginID &" order by ID desc"
rs.open sql,oConn
while not rs.eof
%>
<div align="center">
<table border=1 cellpadding=3 cellspacing=1 width="90%" bgcolor=#EEEEEE bordercolordark="#FFFFFF" bordercolorlight="#999999">
	<tr bgcolor=#CCCCCC><td colspan=4 align=center>
	<%=GetTableValue("tblmeeting","Name","ID",trim(rs("meetingID")))%>
	<%if cdate(trim(rs("StartTime")))<=now() and cdate(trim(rs("EndTime")))>=now() then%>
		<font color=red><b><%=trim(rs("StartTime"))&"——"&trim(rs("EndTime"))%></b></font>
	<%else%>
		<b><%=trim(rs("StartTime"))&"——"&trim(rs("EndTime"))%></b>
	<%end if%>
	<a href="Meeting_cancel.htm?todo=delete&ID=<%=trim(rs("ID"))%>" onclick="return CheckDelete();">-->取消该条预约</a>
	</td></tr>
	<tr>
	<td nowrap>主题:</td>
	<td>
	<%if trim(rs("Title"))<>"" then%>
	<%=trim(rs("Title"))%>
	<%end if%>
	&nbsp;</td>
	<td nowrap>会议主持人:</td>
	<td>
	<%if trim(rs("Manager"))<>"" then%>
	<%=trim(rs("manager"))%>
	<%end if%>
	&nbsp;</td>
	</tr>
	<tr>
	<td width="15%">使用部门:</td>
	<td width="35%">
	<%if trim(rs("Department"))<>"" then%>
	<%=GetTableValue("tblDepartment","Name","ID",trim(rs("Department")))%>
	<%end if%>
	&nbsp;</td>
	<td nowrap width="15%">预约人:</td>
	<td width="35%">
	<%if trim(rs("OrderName"))<>"" then%>
	<%=trim(rs("OrderName"))%>
	<%end if%>
	&nbsp;</td>
	</tr>

	<tr>
	
	<td nowrap width=60>填写时间:</td>
	<td colspan=3>
	<%if trim(rs("OrderTime"))<>"" then%>
	<%=trim(rs("OrderTime"))%>
	<%end if%>
	&nbsp;</td>
		</tr>

	

	<tr>
	<td nowrap>会议内容：</td>
	<td colspan=3><%=replace(replace(server.htmlencode(trim(rs("body"))&""),chr(13),"<br>")," ","&nbsp;")%>&nbsp;</td>
	</tr>
	<tr>
	<td nowrap>与会人员：</td>
	<td colspan=3><%=replace(replace(server.htmlencode(trim(rs("joinman"))&""),chr(13),"<br>")," ","&nbsp;")%>&nbsp;</td>
	</tr>
	<tr>
	<td nowrap>会议安排：</td>
	<td colspan=3><%=replace(replace(server.htmlencode(trim(rs("schedule"))&""),chr(13),"<br>")," ","&nbsp;")%>&nbsp;</td>
	</tr>
			
</table>
</div><BR></table>
  <INPUT TYPE="hidden" name="OrderID" value="<%=LoginID%>">
<INPUT TYPE="hidden" name="MeetingID" value="<%=MeetingID%>">
</form>
</div>
</BODY>
</HTML>
<script language=javascript>
function CheckDelete()
{
	return confirm("确实删除吗？");
}
</script>
<!--#include file="../inc/conn_close.htm"-->
<%
Function GetTableValue(TableName,Field,ValueField,Value)
	if TableName<>"" and Value<>"" then
		Set RsTmp = Server.Createobject("Adodb.recordset")
		strSql = "Select "& Field &" from "& TableName &" where "& ValueField &"='"& Value &"'"
		Rstmp.open strSql,oConn,1,1
		If not Rstmp.eof then
			GetTableValue=trim(Rstmp(Field))
		else
			GetTableValue=""
		end if
		Rstmp.close
		'set RsTmp = Nothing
	else
		GetTableValue=""
	end if
End Function

Sub AddData()
	sql=" INSERT INTO tblMeetingOrder(OrderID,MeetingID,Department,OrderName,OrderTime,UserName,StartTime,EndTime,Line,Used,Driver) VALUES(" & OrderID & _
		","& MeetingId & _
		","& Department & _
		",'"& OrderName & _
		"','"& OrderTime & _
		"','"& UserName & _
		"','"& StartTime & _
		"','"& EndTime & _
		"','"& Line & _
		"','"& Used & _
		"','"& Driver & _
		"');"
	oConn.execute (sql)
end sub
%>